Skip to main content
GET
/
lyrics
/
{songID}
curl --request GET \
  --url https://taylor-swift-api.sarbo.workers.dev/lyrics/10
{
  "song_id": 10,
  "song_title": "Wonderland",
  "lyrics": "Flashing lights and we\nTook a wrong turn and we\n..."
}
Returns the song ID, title, and complete lyrics for the given song. Lyrics are returned as a single string with line breaks represented as \n.

Path parameters

songID
integer
required
The unique identifier of the song. Use the Get all songs endpoint to look up valid song IDs.

Response

song_id
integer
required
Unique identifier for the song.
song_title
string
required
Title of the song.
lyrics
string
required
Full lyrics of the song as a single string. Individual lines are separated by \n.
curl --request GET \
  --url https://taylor-swift-api.sarbo.workers.dev/lyrics/10
{
  "song_id": 10,
  "song_title": "Wonderland",
  "lyrics": "Flashing lights and we\nTook a wrong turn and we\n..."
}

Build docs developers (and LLMs) love